curl --request DELETE \
--url https://api.fabric.inc/v3/prices/sku/{sku} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/prices/sku/{sku}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/prices/sku/{sku}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"isDeleted": true,
"channelId": "12",
"currency": "USD",
"offers": {
"startAt": "2019-08-24T14:15:22Z",
"endAt": "2019-08-25T14:15:22Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
},
"createdAt": "2019-08-20T14:15:22Z",
"updatedAt": "2019-08-20T14:15:22Z"
}{
"type": "TENANT_HEADER_REQUIRED",
"message": "x-fabric-tenant-id header is required"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "ITEMSKU_NOT_FOUND",
"message": "The itemSku you entered doesn't exist"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Delete price by SKU
Delete price record for the given sku and priceListId.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24x-fabric-channel-id identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is a required field.
"12"
A unique request ID.
"263e731c-45c8-11ed-b878-0242ac120002"
Path Parameters
The product SKU of the price details that are being deleted.
"SKU0123456"
Query Parameters
The price list ID to which the item belongs. If not provided, the default price list is used.
100000
Response
OK
The product item SKU assigned when a price is created, updated, or deleted.
"SKU123456"
The price list ID assigned when price details are created or updated.
100000
Channel ID
"12"
The currency type set for the price list.
"USD"
Item prices
Show child attributes
Show child attributes
The product item ID assigned when a price is created, updated, or deleted.
1000000051
true: The price is deleted
false: The price isn't deleted
false
The timestamp when the price was created.
"2019-08-20T14:15:22.000Z"
The timestamp when the price was last updated.
"2019-08-20T14:15:22.000Z"
Was this page helpful?
